package projectzombie.items;

import projectzombie.init.Items;
import projectzombie.init.Models;
import projectzombie.items.modifier.ItemModifierMeta;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;

public class ItemLog extends Item implements ItemBurnable
{

	@Override
	public ModelItem getModel(ItemStack stack)
	{
		switch(ItemModifierMeta.getStackMeta(stack))
		{
		case 1: return Models.ITEM_LOG_SNOW;
		default: return Models.ITEM_LOG;
		}
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Log";
	}

	@Override
	public int getBurnTime(ItemStack stack) {
		return 3200;
	}

	@Override
	public ItemStack[] getBurnProducts(ItemStack stack) {
		return new ItemStack[] {
				 new ItemStack(Items.CHARCOAL, 1),
				 new ItemStack(Items.ASH, 2),
		};
	}

}
